be.ehealth.businessconnector.therlink.domain

## Class OperationContext

- java.lang.Object
- - be.ehealth.businessconnector.therlink.domain.OperationContext

- All Implemented Interfaces:
    Serializable

      public class OperationContext
      extends Object
      implements Serializable

  OperationContext.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OperationContext.Builder` Builder for OperationContext

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationContext()`
    `OperationContext(org.joda.time.DateTime recordDate, String operation, Author author, List<Proof> proofs)`
    `OperationContext(String operation, Calendar recordDate, Author author, List<Proof> proofs)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `Author` | `getAuthor()`
    `String` | `getOperation()`
    `List<Proof>` | `getProofs()`
    `Calendar` | `getRecordDate()` Deprecated.
    `org.joda.time.DateTime` | `getRecordDateTime()`
    `int` | `hashCode()`
    `void` | `setAuthor(Author author)`
    `void` | `setOperation(String operation)`
    `void` | `setProofs(List<Proof> proofs)`
    `void` | `setRecordDate(Calendar recordDate)` Deprecated.
    `void` | `setRecordDateTime(org.joda.time.DateTime recordDate)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OperationContext

          @Deprecated
          public OperationContext(String operation,
                                               Calendar recordDate,
                                               Author author,
                                               List<Proof> proofs)

      Deprecated.
      Parameters:
        `operation` -
        `recordDate` -
        `author` -
        `proofs` -

    - #### OperationContext

          public OperationContext(org.joda.time.DateTime recordDate,
                                  String operation,
                                  Author author,
                                  List<Proof> proofs)

      Parameters:
        `operation` -
        `recordDate` -
        `author` -
        `proofs` -

    - #### OperationContext

          public OperationContext()

  - ### Method Detail

    - #### getOperation

          public String getOperation()

      Returns:
        the operation

    - #### setOperation

          public void setOperation(String operation)

      Parameters:
        `operation` - the operation to set

    - #### getRecordDateTime

          public org.joda.time.DateTime getRecordDateTime()

      Returns:
        the recordDate

    - #### setRecordDateTime

          public void setRecordDateTime(org.joda.time.DateTime recordDate)

      Parameters:
        `recordDate` - the recordDate to set

    - #### getRecordDate

          @Deprecated
          public Calendar getRecordDate()

      Deprecated.
      Returns:
        the recordDate

    - #### setRecordDate

          @Deprecated
          public void setRecordDate(Calendar recordDate)

      Deprecated.
      Parameters:
        `recordDate` - the recordDate to set

    - #### getAuthor

          public Author getAuthor()

      Returns:
        the author

    - #### setAuthor

          public void setAuthor(Author author)

      Parameters:
        `author` - the author to set

    - #### getProofs

          public List<Proof> getProofs()

      Returns:
        the proofs

    - #### setProofs

          public void setProofs(List<Proof> proofs)

      Parameters:
        `proofs` - the proofs to set

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.